hwy::HWY_NAMESPACE::ForExtendableVectors< Test, kPow2 > Class Template Reference

`#include <test_util-inl.h>`

## Public Member Functions

| ~ForExtendableVectors ()
template<typename T >
void | operator() (T) const

## Private Attributes

bool | called_ = false

## Constructor & Destructor Documentation

## ~ForExtendableVectors()

template<class Test , int kPow2 = 1>

hwy::HWY_NAMESPACE::ForExtendableVectors< Test, kPow2 >::~ForExtendableVectors | ( |  | ) |

inline

References hwy::HWY_NAMESPACE::ForExtendableVectors< Test, kPow2 >::called_, and HWY_ABORT.

## Member Function Documentation

## operator()()

template<class Test , int kPow2 = 1>
template<typename T >

void hwy::HWY_NAMESPACE::ForExtendableVectors< Test, kPow2 >::operator() | ( | T |  | ) | const

inline

References hwy::HWY_NAMESPACE::ForExtendableVectors< Test, kPow2 >::called_, HWY_LANES, and hwy::HWY_NAMESPACE::Lanes().

## Member Data Documentation

## called_

template<class Test , int kPow2 = 1>

bool hwy::HWY_NAMESPACE::ForExtendableVectors< Test, kPow2 >::called_ = false

mutable private

Referenced by hwy::HWY_NAMESPACE::ForExtendableVectors< Test, kPow2 >::operator()(), and hwy::HWY_NAMESPACE::ForExtendableVectors< Test, kPow2 >::~ForExtendableVectors().

The documentation for this class was generated from the following file:

- test_util-inl.h